Run unittests/talos on OS X 10.9 Mavericks

RESOLVED WONTFIX

Status

Release Engineering
Platform Support
P2
normal
RESOLVED WONTFIX
4 years ago
3 years ago

People

(Reporter: coop, Assigned: kmoir)

Tracking

(Depends on: 1 bug)

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [10.9][mavericks])

Attachments

(5 attachments, 4 obsolete attachments)

(Reporter)

Description

4 years ago
I've been getting the test node, t-mavericks-r5-001, running in staging over the last month. I'll start posting test results here so people can look into the deltas.
(Reporter)

Comment 1

4 years ago
For those who are able to see my buildbot master directly, here are the recent results from the test slave:

http://dev-master01.build.scl1.mozilla.com:8045/buildslaves/t-mavericks-r5-001

For those who can't see that, the synopsis is as follows:

talos: all green
(tp5o, chromez, other, dromaeojs, svgr)

unittest:
crashtest                   green
jetpack                     green
jsreftest                   green
mochitest-1                 warnings
mochitest-2                 green
mochitest-3                 green
mochitest-4                 warnings
mochitest-5                 warnings
mochitest-browser-chrome    green
mochitest-other             warnings
reftest                     warnings
xpcshell                    green

I've copied the logs onto people: http://people.mozilla.org/~coop/mavericks_test_results/

To see the log of, e.g., the actual mochitest-1 run, go to:

http://people.mozilla.org/~coop/mavericks_test_results/mozilla-central_mavericks_test-mochitest-1/0-log-run_script-stdio.gz
(Reporter)

Comment 2

4 years ago
mochitest-plain1 190913/78/878

12:33:23     INFO -  70503 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 35,10 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70505 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 40,35 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70507 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 15,40 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70509 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 10,15 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70510 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 55,10 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70512 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 80,15 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70514 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 75,40 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70516 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 50,35 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70518 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 95,10 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70520 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 120,15 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70522 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 115,40 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:23     INFO -  70524 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/test_canvas.html | pixel 90,35 of c687 is 0,255,0,255; expected 0,0,0,0 +/- 0
12:33:53     INFO -  74060 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/glsl/functions/glsl-function-smoothstep-gentype.html] Test failed - images are different
12:33:53     INFO -  74063 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/glsl/functions/glsl-function-smoothstep-gentype.html] Test failed - images are different
12:33:53     INFO -  74066 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/glsl/functions/glsl-function-smoothstep-gentype.html] Test failed - images are different
12:33:53     INFO -  74072 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/glsl/functions/glsl-function-smoothstep-gentype.html] Test failed - images are different
12:33:53     INFO -  74075 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/glsl/functions/glsl-function-smoothstep-gentype.html] Test failed - images are different
12:33:53     INFO -  74078 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/glsl/functions/glsl-function-smoothstep-gentype.html] Test failed - images are different
12:33:53     INFO -  74079 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/glsl/functions/glsl-function-smoothstep-gentype.html] (WebGL test error) 6 failure(s) and 0 timeout(s)
12:34:02     INFO -  74290 ERROR TEST-UNEXPECTED-PASS | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/glsl/misc/glsl-function-nodes.html] Test page expected to fail, but all 1 tests passed
12:34:11     INFO -  74700 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/limits/gl-max-texture-dimensions.html] Test failed - Should be 0, 255, 128, 255
12:34:11     INFO -  74702 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/limits/gl-max-texture-dimensions.html] (WebGL test error) 1 failure(s) and 0 timeout(s)
12:34:20     INFO -  77358 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/point-size.html] Test failed - buf[index] should be 255. Was 0.
12:34:20     INFO -  77361 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/point-size.html] Test failed - buf[index] should be 255. Was 0.
12:34:20     INFO -  77364 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/point-size.html] Test failed - buf[index] should be 255. Was 0.
12:34:20     INFO -  77370 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/point-size.html] (WebGL test error) 3 failure(s) and 0 timeout(s)
12:34:20     INFO -  77380 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/line-loop-tri-fan.html] Test failed - Triangle fan was drawn incorrectly.
12:34:20     INFO -  77381 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/line-loop-tri-fan.html] Test failed - Triangle fan was drawn incorrectly.
12:34:20     INFO -  77382 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/line-loop-tri-fan.html] Test failed - Triangle fan was drawn incorrectly.
12:34:20     INFO -  77383 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/line-loop-tri-fan.html] Test failed - Triangle fan was drawn incorrectly.
12:34:20     INFO -  77384 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/rendering/line-loop-tri-fan.html] (WebGL test error) 4 failure(s) and 0 timeout(s)
12:34:21     INFO -  77731 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 1 should render 255,0,0,255 (+/-1)
12:34:21     INFO -  77736 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 1 should render 0,255,0,255 (+/-1)
12:34:21     INFO -  77740 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 1 should render 0,0,255,255 (+/-1)
12:34:21     INFO -  77741 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 1 should render 0,0,255,255 (+/-1)
12:34:21     INFO -  77745 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 1 should render 127,127,127,127 (+/-1)
12:34:21     INFO -  77746 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 1 should render 127,127,127,127 (+/-1)
12:34:21     INFO -  77750 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 1 should render 255,0,0,255 (+/-1)
12:34:21     INFO -  77755 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 1 should render 0,255,0,255 (+/-1)
12:34:21     INFO -  77779 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 0 should render 0,0,255,255 (+/-1)
12:34:21     INFO -  77781 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 1 should render 0,0,255,255 (+/-1)
12:34:21     INFO -  77784 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 0 should render 127,127,127,127 (+/-1)
12:34:21     INFO -  77786 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 1 should render 127,127,127,127 (+/-1)
12:34:21     INFO -  77788 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 0 should render 255,0,0,255 (+/-1)
12:34:21     INFO -  77789 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 0 should render 255,0,0,255 (+/-1)
12:34:21     INFO -  77790 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 1 should render 255,0,0,255 (+/-1)
12:34:21     INFO -  77791 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 1 should render 255,0,0,255 (+/-1)
12:34:21     INFO -  77793 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 0 should render 0,255,0,255 (+/-1)
12:34:21     INFO -  77794 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 0 should render 0,255,0,255 (+/-1)
12:34:21     INFO -  77795 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 1 should render 0,255,0,255 (+/-1)
12:34:21     INFO -  77796 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 1 should render 0,255,0,255 (+/-1)
12:34:21     INFO -  77798 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 0 should render 0,0,255,255 (+/-1)
12:34:21     INFO -  77800 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 1 should render 0,0,255,255 (+/-1)
12:34:21     INFO -  77803 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 0 should render 127,127,127,127 (+/-1)
12:34:21     INFO -  77805 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 1 should render 127,127,127,127 (+/-1)
12:34:21     INFO -  77829 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 0 should render 255,0,0,255 (+/-1)
12:34:21     INFO -  77834 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 0 should render 0,255,0,255 (+/-1)
12:34:21     INFO -  77838 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 0 should render 0,0,255,255 (+/-1)
12:34:21     INFO -  77839 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 0 should render 0,0,255,255 (+/-1)
12:34:21     INFO -  77843 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 0 should render 127,127,127,127 (+/-1)
12:34:21     INFO -  77844 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 1, 0 should render 127,127,127,127 (+/-1)
12:34:21     INFO -  77848 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 0 should render 255,0,0,255 (+/-1)
12:34:21     INFO -  77853 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] Test failed - 0, 0 should render 0,255,0,255 (+/-1)
12:34:21     INFO -  78168 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/copy-tex-image-and-sub-image-2d.html] (WebGL test error) 32 failure(s) and 0 timeout(s)
12:34:27     INFO -  78980 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/texture-size.html] Test failed - 2D texture of size 1x256 with mips should draw with blue
12:34:27     INFO -  78988 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/texture-size.html] Test failed - 2D texture of size 1x512 with mips should draw with magenta
12:34:27     INFO -  78996 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/texture-size.html] Test failed - 2D texture of size 1x1024 with mips should draw with green
12:34:27     INFO -  79002 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/texture-size.html] Test failed - 2D texture of size 1x2048 with mips should draw with green
12:34:27     INFO -  79008 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/texture-size.html] Test failed - 2D texture of size 1x4096 with mips should draw with green
12:34:28     INFO -  79009 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | [conformance/textures/texture-size.html] (WebGL test error) 5 failure(s) and 0 timeout(s)
12:37:19     INFO -  113297 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | doTestWholeScroll, try whole-scroll to top (page): unexpected scrollTop - got 2800, expected 0
12:37:19     INFO -  113299 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | doTestWholeScroll, try whole-scroll to top when scrollTop is already top-most (page): unexpected scrollTop - got 2800, expected 0
12:37:19     INFO -  113301 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | doTestWholeScroll, try whole-scroll to bottom (page): unexpected scrollTop - got 0, expected 2800
12:37:19     INFO -  113303 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | doTestWholeScroll, try whole-scroll to bottom when scrollTop is already bottom-most (page): unexpected scrollTop - got 0, expected 2800
12:37:19     INFO -  113306 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | doTestWholeScroll, try whole-scroll to left (page): unexpected scrollLeft - got 2800, expected 0
12:37:19     INFO -  113308 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | doTestWholeScroll, try whole-scroll to left when scrollLeft is already left-most (page): unexpected scrollLeft - got 2800, expected 0
12:37:19     INFO -  113310 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | doTestWholeScroll, try whole-scroll to right (page): unexpected scrollLeft - got 0, expected 2800
12:37:20     INFO -  113312 ERROR TEST-UNEXPECTED-FAIL | /tests/content/events/test/test_wheel_default_action.html | doTestWholeScroll, try whole-scroll to right when scrollLeft is already right-most (page): unexpected scrollLeft - got 0, expected 2800
(Reporter)

Comment 3

4 years ago
mochitest-plain4 16293/2/1985

11:06:58     INFO -  18636 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/base/tests/test_bug450930.xhtml | Wrong event count (iframe) - got 7, expected 1
11:06:59     INFO -  18638 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/base/tests/test_bug450930.xhtml | Wrong event count (iframe2) - got 4, expected 1
(Reporter)

Comment 4

4 years ago
mochitest-plain5 134968/7/138

09:57:05     INFO -  254 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/forms/test/test_bug571352.html | first two options are selected
09:57:05     INFO -  255 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/forms/test/test_bug571352.html | first three options are selected
09:57:05     INFO -  256 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/forms/test/test_bug571352.html | first two options are selected
10:01:58     INFO -  133585 ERROR TEST-UNEXPECTED-FAIL | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | uncaught exception - Error: Permission denied to access property 'toString' at :0
10:01:58     INFO -  133586 ERROR TEST-UNEXPECTED-FAIL | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | uncaught exception - Error: Permission denied to access property 'message' at :0
10:01:58     INFO -  133587 ERROR TEST-UNEXPECTED-FAIL | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | uncaught exception - uncaught exception: unknown (can't convert to string) at :0
10:01:59     INFO -  133590 ERROR TEST-UNEXPECTED-FAIL | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | [SimpleTest.finish()] this test already called finish!
10:01:59     INFO -  133591 ERROR TEST-UNEXPECTED-FAIL | /tests/uriloader/exthandler/tests/mochitest/test_handlerApps.xhtml | called finish() multiple times
(Reporter)

Comment 5

4 years ago
mochitest-chrome 49963/16/251

11:14:05     INFO -  9728 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/tests/mochitest/general/test_offsets.xul | scrollbox-test has non-zero scroll width and height
11:14:05     INFO -  9733 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/tests/mochitest/general/test_offsets.xul | scrollbox-test has non-zero client width and height
11:15:30     INFO -  14460 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by mousedown #1
11:15:31     INFO -  14461 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by auto repeat #1
11:15:32     INFO -  14463 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by mousedown #2
11:15:34     INFO -  14465 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by mousemove after cursor is back on the scrollbar button #2
11:15:34     INFO -  14466 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by mousedown #3
11:15:35     INFO -  14467 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by auto repeat when cursor is outside of scrollbar button #3
11:15:36     INFO -  14468 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug159346.xul | scrollbar didn't change curpos by mousemove after cursor is back on the scrollbar button #3
11:15:37     INFO -  14481 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/xul/test/test_bug703150.xul | scrollbar thumb hasn't been dragged
11:16:46     INFO -  18093 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_bug624329.xul | window should be maximized - got 3, expected 1
11:16:47     INFO -  18097 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_bug624329.xul | menu left 302 should be left of click point 300
11:17:45     INFO -  25231 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_scrollbar.xul | Dragging the scrollbar thumb should work.
11:17:45     INFO -  25234 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_scrollbar.xul | Dragging the scrollbar thumb should work.
11:17:45     INFO -  25237 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_scrollbar.xul | Dragging the scrollbar thumb should work.
11:17:45     INFO -  25240 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/content/tests/chrome/test_scrollbar.xul | Dragging the scrollbar thumb should work.
(Reporter)

Comment 6

4 years ago
reftest-reftest 9560/50/350

11:40:15     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/border-radius/scrollbar-clamping-1.html | image comparison (==), max difference: 255, number of differing pixels: 301
11:40:15     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/border-radius/scrollbar-clamping-2.html | image comparison (==), max difference: 255, number of differing pixels: 301
11:40:40     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/bugs/240933-2.html | image comparison (==), max difference: 255, number of differing pixels: 140
11:40:47     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/bugs/301726-2.html | image comparison (!=)
11:41:04     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/bugs/363858-5a.html | image comparison (==), max difference: 45, number of differing pixels: 2
11:41:04     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/bugs/363858-6a.html | image comparison (==), max difference: 45, number of differing pixels: 2
11:41:06     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/bugs/367247-s-auto.html | image comparison (!=)
11:41:42     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/bugs/424074-1.xul | image comparison (!=)
11:42:26     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/bugs/584400-dash-length.svg | image comparison (==), max difference: 255, number of differing pixels: 1712
11:42:54     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/canvas/linear-gradient-1b.html | image comparison (==), max difference: 255, number of differing pixels: 45000
11:43:09     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/css-gradients/linear-diagonal-5a.html | image comparison (==), max difference: 2, number of differing pixels: 11431
11:43:09     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/css-gradients/linear-diagonal-6a.html | image comparison (==), max difference: 2, number of differing pixels: 11586
11:43:10     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/css-gradients/linear-diagonal-8a.html | image comparison (==), max difference: 2, number of differing pixels: 11408
11:43:11     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/css-gradients/linear-zero-length-1a.html | image comparison (==), max difference: 255, number of differing pixels: 45000
11:43:12     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/css-gradients/linear-zero-length-1b.html | image comparison (==), max difference: 255, number of differing pixels: 45000
11:43:12     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/css-gradients/linear-zero-length-1c.html | image comparison (==), max difference: 255, number of differing pixels: 45000
11:43:15     INFO -  REFTEST TEST-UNEXPECTED-PASS | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/css-gradients/aja-linear-1b.html | image comparison (==)
11:43:43     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/text-overflow/anonymous-block.html | image comparison (==), max difference: 1, number of differing pixels: 1
11:43:53     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/text-overflow/xulscroll.html | image comparison (==), max difference: 255, number of differing pixels: 961
11:44:10     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/css-valuesandunits/unit-vh-vw-overflow-auto.html | image comparison (!=)
11:45:00     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/flexbox/flexbox-resizeviewport-1.xhtml | image comparison (==), max difference: 1, number of differing pixels: 4
11:46:18     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/forms/placeholder/placeholder-6-textarea.html | image comparison (==), max difference: 39, number of differing pixels: 33
11:46:30     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/forms/textarea/resize-background.html | image comparison (==), max difference: 100, number of differing pixels: 143
11:46:30     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/forms/textarea/ltr-scrollbar.html | image comparison (!=)
11:46:30     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/forms/textarea/in-ltr-doc-scrollbar.html | image comparison (!=)
11:46:57     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/list-item/numbering-1.html | image comparison (==), max difference: 55, number of differing pixels: 4
11:48:15     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleHeight.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:15     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleHeightQuirks-1.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:15     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleHeightQuirks-2.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:16     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleHeightQuirks-3.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:16     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollAbsHeight.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:16     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollAbsHeightQuirks.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:16     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleHeightD.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:16     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleHeightQuirks-1D.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:16     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleHeightQuirks-2D.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:16     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleHeightQuirks-3D.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:17     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollAbsHeightD.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:17     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollAbsHeightQuirksD.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:17     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleMinHeightD.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:17     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleMinHeightQuirks-1D.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:17     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollSimpleMinHeightQuirks-3D.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:17     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollAbsMinHeightD.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:48:17     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/percent-overflow-sizing/hScrollAbsMinHeightQuirksD.html | image comparison (==), max difference: 128, number of differing pixels: 1090
11:50:28     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/position-sticky/block-in-inline-3.html | image comparison (==), max difference: 1, number of differing pixels: 11
11:51:57     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/svg/text/dynamic-non-scaling-stroke.svg | image comparison (==), max difference: 1, number of differing pixels: 8
11:54:05     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/transform-3d/scale3d-all.html | image comparison (==), max difference: 145, number of differing pixels: 752
11:54:05     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/reftests/transform-3d/scale3d-all-separate.html | image comparison (==), max difference: 145, number of differing pixels: 752
11:54:12     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/layout/xul/grid/reftests/scrollable-columns.xul | image comparison (==), max difference: 128, number of differing pixels: 1090
11:54:24     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/imptests/html/html/dom/elements/global-attributes/dir_auto-textarea-N-between-Rs.html | image comparison (==), max difference: 128, number of differing pixels: 1852
11:54:25     INFO -  REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/talos-slave/test/build/tests/reftest/tests/dom/imptests/html/html/dom/elements/global-attributes/dir_auto-textarea-script-N-between-Rs.html | image comparison (==), max difference: 128, number of differing pixels: 922
(Reporter)

Comment 7

4 years ago
jgriffin: can you suggest someone from the automation team to look at the 10.9 failures listed above?
Flags: needinfo?(jgriffin)
Realistically, dealing with these will require some iterations, and will need to be handled by filing bugs and involving developers.  Can you get them running on cedar or other twig branch for this purpose?  Just having logs from a couple of weeks ago is unlikely to be enough to go on.
Flags: needinfo?(jgriffin)
(Reporter)

Comment 9

4 years ago
(In reply to Jonathan Griffin (:jgriffin) from comment #8)
> Realistically, dealing with these will require some iterations, and will
> need to be handled by filing bugs and involving developers.  Can you get
> them running on cedar or other twig branch for this purpose?  Just having
> logs from a couple of weeks ago is unlikely to be enough to go on.

We only have one 10.9 machine right now, but I don't think the load on cedar is high enough to matter. I'll start writing the patches today.
(Reporter)

Comment 10

4 years ago
Created attachment 8338793 [details] [diff] [review]
Add 10.9 to the buildbot-configs, enabled on cedar only.

If I don't set 'talos_slave_platforms' for mozilla-central, I still end up with talos jobs for mavericks on m-c. That seems broken, but I'm not sure how. Maybe I'm not setting something properly elsewhere?
Attachment #8338793 - Flags: review?(armenzg)
(Reporter)

Comment 11

4 years ago
Created attachment 8338795 [details] [diff] [review]
Add 10.9 support to buildbotcustom
Attachment #8338795 - Flags: review?(armenzg)

Comment 12

4 years ago
Comment on attachment 8338795 [details] [diff] [review]
Add 10.9 support to buildbotcustom

This is most likely unnecessary since we use mozharness, however, it does not hurt to keep it up-to-date.
Attachment #8338795 - Flags: review?(armenzg) → review+

Comment 13

4 years ago
Comment on attachment 8338793 [details] [diff] [review]
Add 10.9 to the buildbot-configs, enabled on cedar only.

Review of attachment 8338793 [details] [diff] [review]:
-----------------------------------------------------------------

I hope the comment I made helps.
Let me know how it goes. I know it is a pain.

::: mozilla-tests/config.py
@@ +1477,5 @@
>              },
>          },
> +        'mavericks': {
> +            'opt_unittest_suites': UNITTEST_SUITES['opt_unittest_suites'][:],
> +            'debug_unittest_suites': UNITTEST_SUITES['debug_unittest_suites'][:],

If you keep this as [] you can then set it for Cedar like this:
BRANCHES['cedar']['platforms']['macosx']['mavericks']['opt_unittest_suites'] = UNITTEST_SUITES['opt_unittest_suites'][:]
BRANCHES['cedar']['platforms']['macosx']['mavericks']['debug_unittest_suites'] = UNITTEST_SUITES['debug_unittest_suites'][:]

@@ +1663,5 @@
>  BRANCHES['mozilla-central']['branch_name'] = "Firefox"
>  BRANCHES['mozilla-central']['repo_path'] = "mozilla-central"
>  BRANCHES['mozilla-central']['build_branch'] = "1.9.2"
>  BRANCHES['mozilla-central']['pgo_strategy'] = 'periodic'
> +BRANCHES['mozilla-central']['platforms']['macosx64']['talos_slave_platforms'] = ['snowleopard', 'mountainlion']

You would not need this with what I mention above.

@@ +1987,5 @@
> +# Enable mavericks testing on select branches only
> +MAVERICKS_TESTING_BRANCHES = ['cedar']
> +for branch in set(BRANCHES.keys()) - set(MAVERICKS_TESTING_BRANCHES):
> +    if nested_haskey(BRANCHES[branch]['platforms'],'macosx64','mavericks'):
> +        del BRANCHES[branch]['platforms']['macosx64']['mavericks']

You would not need this either.

::: mozilla-tests/tests_localconfig.py
@@ +55,2 @@
>  
> +QUEUEDIR = master_config.get("queuedir", "/dev/shm/coop/queue")

You probably don't need any of the changes on this file.
Attachment #8338793 - Flags: review?(armenzg) → review-
(Reporter)

Comment 14

4 years ago
(In reply to Armen Zambrano [:armenzg] (Release Engineering) (EDT/UTC-4) from comment #13)
> If you keep this as [] you can then set it for Cedar like this:
> BRANCHES['cedar']['platforms']['macosx']['mavericks']['opt_unittest_suites']
> = UNITTEST_SUITES['opt_unittest_suites'][:]
> BRANCHES['cedar']['platforms']['macosx']['mavericks']['debug_unittest_suites'
> ] = UNITTEST_SUITES['debug_unittest_suites'][:]

This works pretty well. Thanks for the pattern.

However, I still end up with jetpack tests on mavericks for non-cedar branches like, e.g. mozilla-central. Is there a simple way to avoid that?

> You probably don't need any of the changes on this file.

Well, I desperately do, but production probably doesn't. ;)

Comment 15

4 years ago
It's unfortunate that it is this messy.

It is this code that messes things up:
http://hg.mozilla.org/build/buildbot-configs/file/default/mozilla-tests/config.py#l1729

I think I would suggest you to add it in here:
http://hg.mozilla.org/build/buildbot-configs/file/default/mozilla-tests/config.py#l552
and remove the first block completely since we're past FF21.


However, notice that jetpack does not use mozharness, see this:
           ('jetpack', ['jetpack'])
VS this:
   543     ('jittest', {
   544         'use_mozharness': True,
   545         'script_path': 'scripts/desktop_unittest.py',
   546         'extra_args': ['--jittest-suite', 'jittest'],
   547         'script_maxtime': 7200,
   548     }),

I assume that our code adjusts the factory depending if we have a (string, list) vs (string, dict).
See this: 
   418         # suites is a dict! [1]
and here's where the old format is manipulated [2]

Best of luck! It is very messy :(

[1] http://hg.mozilla.org/build/buildbotcustom/file/default/misc.py#l418
[2] http://hg.mozilla.org/build/buildbotcustom/file/default/misc.py#l495
(Reporter)

Comment 16

4 years ago
Created attachment 8340500 [details] [diff] [review]
Add 10.9 to TBPL
Attachment #8340500 - Flags: review?(emorley)
(Reporter)

Comment 17

4 years ago
Created attachment 8340501 [details] [diff] [review]
Add 10.9 to the buildbot-configs, enabled on cedar only, v2
Attachment #8338793 - Attachment is obsolete: true
Comment on attachment 8340500 [details] [diff] [review]
Add 10.9 to TBPL

Review of attachment 8340500 [details] [diff] [review]:
-----------------------------------------------------------------

::: js/Data.js
@@ +562,5 @@
>          /^b2g.*_(?:linux|ubuntu)32/.test(name) ? "b2g-linux32" :
>          /linux|fedora|ubuntu/i.test(name) ? "linux32" :
>          // ** OS X **
>          /^b2g.*_macosx64/.test(name) ? "b2g-osx" :
> +        /10\.9|Mavericks/.test(name) ? "osx-10-9" :

This can just be /Mavericks/ surely? (Only quickly skimmed the buildbot-configs patch, but presuming all jobs have that in their buildername?)
(Reporter)

Updated

4 years ago
Attachment #8340501 - Flags: review?(armenzg)
(Reporter)

Comment 19

4 years ago
Comment on attachment 8338795 [details] [diff] [review]
Add 10.9 support to buildbotcustom

Review of attachment 8338795 [details] [diff] [review]:
-----------------------------------------------------------------

https://hg.mozilla.org/build/buildbotcustom/rev/8756b09ddc1c
Attachment #8338795 - Flags: checked-in+
(Reporter)

Comment 20

4 years ago
Created attachment 8340505 [details] [diff] [review]
Add 10.9 to TBPL, v2

(In reply to Ed Morley [:edmorley UTC+0] from comment #18)
> This can just be /Mavericks/ surely? (Only quickly skimmed the
> buildbot-configs patch, but presuming all jobs have that in their
> buildername?)

Fixed.
Attachment #8340500 - Attachment is obsolete: true
Attachment #8340500 - Flags: review?(emorley)
Attachment #8340505 - Flags: review?(emorley)
(Reporter)

Comment 21

4 years ago
Created attachment 8340507 [details] [diff] [review]
Add 10.9 to the buildbot-configs, enabled on cedar only, v3
Attachment #8340501 - Attachment is obsolete: true
Attachment #8340501 - Flags: review?(armenzg)
Attachment #8340507 - Flags: review?(armenzg)
Comment on attachment 8340505 [details] [diff] [review]
Add 10.9 to TBPL, v2

Ty :-)
Attachment #8340505 - Flags: review?(emorley) → review+
(Reporter)

Comment 23

4 years ago
Comment on attachment 8340505 [details] [diff] [review]
Add 10.9 to TBPL, v2

Review of attachment 8340505 [details] [diff] [review]:
-----------------------------------------------------------------

https://hg.mozilla.org/webtools/tbpl/rev/25897506339a
Attachment #8340505 - Flags: checked-in+

Updated

4 years ago
Depends on: 944795
(In reply to Chris Cooper [:coop] from comment #23)
> Comment on attachment 8340505 [details] [diff] [review]
> Add 10.9 to TBPL, v2
> 
> Review of attachment 8340505 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> https://hg.mozilla.org/webtools/tbpl/rev/25897506339a

In TBPL production :-)

Updated

4 years ago
Attachment #8340507 - Flags: review?(armenzg) → review+
(Reporter)

Comment 25

4 years ago
Created attachment 8340527 [details] [diff] [review]
Make sure Mavericks gets a buildbot password set by puppet
Attachment #8340527 - Flags: review?(armenzg)

Updated

4 years ago
Attachment #8340527 - Flags: review?(armenzg) → review+
(Reporter)

Comment 26

4 years ago
Comment on attachment 8340507 [details] [diff] [review]
Add 10.9 to the buildbot-configs, enabled on cedar only, v3

Review of attachment 8340507 [details] [diff] [review]:
-----------------------------------------------------------------

https://hg.mozilla.org/build/buildbot-configs/rev/3b738daad2ab

::: mozilla-tests/config.py
@@ +1814,5 @@
> +BRANCHES['cedar']['platforms']['macosx64']['mavericks']['opt_unittest_suites'] = UNITTEST_SUITES['opt_unittest_suites'][:]
> +BRANCHES['cedar']['platforms']['macosx64']['mavericks']['debug_unittest_suites'] = UNITTEST_SUITES['debug_unittest_suites'][:]
> +
> +# Enable mavericks testing on select branches only
> +delete_slave_platform(BRANCHES, PLATFORMS, {'macosx64': 'mavericks'}, branch_exclusions=['cedar'])

Because of the way we add the talos suites to branches and then layer on jetpack, it's *really* hard to get a single platform to show up single branch and not have that platform also end up with either talos and jetpack (or both) on other branches.

I wrote the delete_slave_platform() function because it seemed like the least invasive way to strip info away before the layering began.

@@ -1777,5 @@
>  for platform in PLATFORMS.keys():
>      if platform not in (BRANCHES['cedar']['platforms'] or BRANCHES['try']['platforms']):
>          continue
>      for slave_platform in PLATFORMS[platform]['slave_platforms']:
> -        if slave_platform not in (BRANCHES['cedar']['platforms'][platform] or BRANCHES['try']['platforms'][platform]):

This logic is broken for the case where a slave platform appears in cedar or try but not the other, e.g. adding mavericks to cedar only. It tries to set suites for mavericks on try and fails because the hierarchy is missing.

Split into two checks.
Attachment #8340507 - Flags: checked-in+
(Reporter)

Comment 27

4 years ago
Comment on attachment 8340527 [details] [diff] [review]
Make sure Mavericks gets a buildbot password set by puppet

Review of attachment 8340527 [details] [diff] [review]:
-----------------------------------------------------------------

https://hg.mozilla.org/build/puppet/rev/59df448ac30a
Attachment #8340527 - Flags: checked-in+
(Reporter)

Comment 28

4 years ago
Created attachment 8340532 [details] [diff] [review]
Add Mavericks to the run_jetpack script
Attachment #8340532 - Flags: review?(armenzg)
(Reporter)

Updated

4 years ago
Attachment #8340532 - Attachment is obsolete: true
Attachment #8340532 - Flags: review?(armenzg)
(Reporter)

Comment 29

4 years ago
Created attachment 8340533 [details] [diff] [review]
Add Mavericks to the run_jetpack script, v2

This time without the winrm cruft.
Attachment #8340533 - Flags: review?(armenzg)

Updated

4 years ago
Attachment #8340533 - Flags: review?(armenzg) → review+
(Reporter)

Comment 30

4 years ago
Comment on attachment 8340533 [details] [diff] [review]
Add Mavericks to the run_jetpack script, v2

Review of attachment 8340533 [details] [diff] [review]:
-----------------------------------------------------------------

https://hg.mozilla.org/build/tools/rev/59a0767a36f6
Attachment #8340533 - Flags: checked-in+
(Reporter)

Comment 31

4 years ago
OK, I think we're ready to enable this on Monday with the next reconfig. We have:

* buildbotcustom changes: https://hg.mozilla.org/build/buildbotcustom/rev/8756b09ddc1c
* buildbot-configs changes: https://hg.mozilla.org/build/buildbot-configs/rev/3b738daad2ab
* tools changes: https://hg.mozilla.org/build/tools/rev/59a0767a36f6
* platform added to puppet: https://hg.mozilla.org/build/puppet/rev/59df448ac30a
* platform added to tbpl: https://hg.mozilla.org/webtools/tbpl/rev/25897506339a
* platform added to slave health: https://hg.mozilla.org/users/coop_mozilla.com/slave_health/rev/f7e3396576a4
* platform added to buildfaster report: https://hg.mozilla.org/build/braindump/rev/87f81a5948c8
* platform added to graphs_stage2_prod and graphs_mozilla_org_new dbs

Comment 32

4 years ago
Live in production.
(Reporter)

Comment 33

4 years ago
Running now on cedar:

https://tbpl.mozilla.org/?tree=Cedar&jobname=10.9

We only have one 10.9 machine right now, so we'll get behind pretty quickly. I'm going to file a bug to get more 10.9 machines stood up.
(Reporter)

Updated

4 years ago
Depends on: 946303
(Reporter)

Comment 34

4 years ago
(In reply to Chris Cooper [:coop] from comment #33) 
> We only have one 10.9 machine right now, so we'll get behind pretty quickly.
> I'm going to file a bug to get more 10.9 machines stood up.

This is bug 946303.

The plan of record here, as articulated by Armen in the newsgroups:
* green up tests on 10.9 on cedar
* disable all 10.8 testing, re-image all 10.8 (mtnlion) testers to Mavericks, enable 10.9 testing everywhere that currently tested on 10.8
* once bug 921040 starts to ride the trains, gradually re-image 10.7 build slaves as 10.9 testers
Depends on: 947089
(Reporter)

Comment 35

4 years ago
(In reply to Chris Cooper [:coop] from comment #33) 
> We only have one 10.9 machine right now, so we'll get behind pretty quickly.
> I'm going to file a bug to get more 10.9 machines stood up.

The two new Mavericks slaves are connected now: t-mavericks-r5-002 and t-mavericks-r5-003
Depends on: 990604
(Assignee)

Updated

3 years ago
Assignee: coop → kmoir
(Assignee)

Comment 36

3 years ago
jgriffin:

We have 10.9 tests running on cedar now

But I don't think we have anyone from ateam actively working on greening them up.  I asked in #ateam but didn't hear anyone volunteer :-)

Our recent numbers indicate that 10.9 is more dominant platform than 10.8 among our users now.  To add to that, the colos I'm investigating in bug 987303 (run mac tests in non-mozilla colo) don't have sufficient capacity of the old hardware revisions to run 10.8.  So ultimately it's in our own best interest to migrate to 10.9 tests, for these two reasons. Any suggestions of who I should work with?
Flags: needinfo?(jgriffin)
Joel and I will probably drive this on our side; I'll start filing bugs.
Flags: needinfo?(jgriffin)
Are there any particular milestones we're shooting for on the infrastructure side?
Depends on: 1009642
Depends on: 1009643
Depends on: 1009647
Depends on: 1009656
You'll find that some of those are duplicates of things in the dependency tree of bug 947089 (and unless we just punt and say we can't run tests that have anything to do with scrolling on 10.9, that they are mostly duplicates of each other, there being either one problem or one problem per test harness, "we need to somehow deal with disappearing scrollbars").
Depends on: 1009668
Depends on: 1009726
Depends on: 1009754
(Assignee)

Comment 40

3 years ago
regarding comment #38, if this question is directed at releng, we would like to move our tests to 10.9 instead of 10.8, especially given that we considering options to run mac tests on at an external vendor in bug 987303.  If we move forward with this, it would make sense have a pool of 10.9 machines versus 10.8 given that 10.9 is currently the more dominant platform of the two among our user base.  So having 10.9 tests in a green state to enable this switch would be useful.
(Assignee)

Comment 41

3 years ago
:jgriffin is anyone working on this from the ateam side to green up tests?  I mentioned this to jmaher this morning and he said he wasn't working on it.
Flags: needinfo?(jgriffin)
glad these are on cedar, can we push to try and test fixes that way?
(Assignee)

Comment 43

3 years ago
Talked to jmaher in irc

jmaher	kmoir: maybe getting a loaner to start with and just get a full list of tests which fail
kmoir	jmaher: right the loaner makes more sense
jmaher	kmoir: then after the loaner is done, verify on try (and tweak), then move to cedar
jmaher	kmoir: ^ that would be ideal for me
kmoir	jmaher: sounds good I'll get you a loaner etc
Basically, I've been filing bugs for failures that appear on cedar and trying to push them to devs to fix, with mixed success.  Joel, if you have time to help out, that's great.
Flags: needinfo?(jgriffin)
Depends on: 1018452
(Reporter)

Comment 45

3 years ago
It seems like we've been unable to get any traction here in getting tests greened up.

Late October seems like a plausible street date for Yosemite (OS X 10.10). Does that change plans here? Should we start using a bigger stick to encourage developers to help out?
Yes, we should make more noise about this.

If devs green up tests soon, or we disable them, are we in a position to turn them on across all trunk branches relatively quickly?  Or will that need some amount of leadtime?

Is it also worth discussing whether we need 10.8, 10.9 and 10.10?  Maybe we can skip one or more of those, like we have with 10.7?
(Reporter)

Comment 47

3 years ago
(In reply to Jonathan Griffin (:jgriffin) from comment #46)
> Yes, we should make more noise about this.
> 
> If devs green up tests soon, or we disable them, are we in a position to
> turn them on across all trunk branches relatively quickly?  Or will that
> need some amount of leadtime?

We can quickly re-image the 10.8 pool to 10.9 once we make that decision.
 
> Is it also worth discussing whether we need 10.8, 10.9 and 10.10?  Maybe we
> can skip one or more of those, like we have with 10.7?

Our users are on 10.6 and 10.9:

https://dataviz.mozilla.org/views/ReleaseOverview/OSXDetails#1

Switching from 10.8 to 10.9 is binary at this point once we're ready.

Moving to 10.10 will depend on uptake. If Apple makes 10.10 a free upgrade, we'll likely see similar or better uptake stats to 10.9.

I talked with Amy today about possibly getting a mini imaged with the latest seed of 10.10. We can make that a higher priority if we need to.
No longer depends on: 1009754
No longer depends on: 1009656
(Reporter)

Comment 48

3 years ago
e're going to reorient on 10.10.

Not closing the dependent bugs in case they also affect 10.10.
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.